Package org.springframework.batch.item.file.transform

# Class FlatFileFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.batch.item.file.transform.FlatFileFormatException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IncorrectLineLengthException`, `IncorrectTokenCountException`

public class FlatFileFormatException extends RuntimeException
Exception indicating that some type of error has occurred while attempting to parse a line of input into tokens.

Author:
  Lucas Ward, Michael Minella
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlatFileFormatException(String message)`
  Create a new `FlatFileFormatException` based on a message.
  `FlatFileFormatException(String message, String input)`
  Create a new `FlatFileFormatException` based on a message.
  `FlatFileFormatException(String message, Throwable cause)`
  Create a new `FlatFileFormatException` based on a message and another exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInput()`
  Retrieve the input that caused this exception.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlatFileFormatException

    public FlatFileFormatException(String message, String input)
    Create a new `FlatFileFormatException` based on a message.
    Parameters:
      `message` - the message for this exception
      `input` - `String` containing the input for that caused this exception to be thrown.

  - ### FlatFileFormatException

    public FlatFileFormatException(String message)
    Create a new `FlatFileFormatException` based on a message.
    Parameters:
      `message` - the message for this exception

  - ### FlatFileFormatException

    public FlatFileFormatException(String message, Throwable cause)
    Create a new `FlatFileFormatException` based on a message and another exception.
    Parameters:
      `message` - the message for this exception
      `cause` - the other exception

- ## Method Details

  - ### getInput

    public String getInput()
    Retrieve the input that caused this exception.
    Returns:
      String containing the input.